VMTKGEODESICSURFACERESOLUTION(1)

NAME
vmtkgeodesicsurfaceresolution - vmtk script vmtkgeodesicsurfaceresolution

DESCRIPTION
Automatic piping vtksurfaceresolution Parsing options vtksurfaceresolution

vtksurfaceresolution : This allows the user to specify a edge-length

    array to be used to specify resolution for surface remeshing The array is produced by RBF interpolation of values specified by the user by positioning spheres. This version use the geodesic distance along the surface instead of the 3D euclidean distance for the RBF

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i Surface (vtkPolyData,1): the input surface

-ifile SurfaceInputFileName (str,1): filename for the default

    Surface reader

-resolutionarray ResolutionArrayName (str,1);

    default=ResolutionArray: array storing the desired edge length

-rbftype RBFType (str,1) in ['thinplatespline', 'biharmonic',

    'triharmonic']; default=biharmonic: the type of RBF interpolation

-opacity Opacity (float,1) >= 0.0 and <= 1.0; default=1.0: object

    opacities in the scene

-renderer vmtkRenderer (vmtkRenderer,1): external renderer

-ofile SurfaceOutputFileName (str,1): filename for the default

    Surface writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-o Surface (vtkPolyData,1)